DROP FUNCTION()

NAME
DROP FUNCTION - remove a function

SYNOPSIS

DROP FUNCTION [ IF EXISTS ] name ( [ [ argmode ] [ argname ] argtype [, ...] ] )
    [ CASCADE | RESTRICT ]

DESCRIPTION

DROP FUNCTION removes the definition of an existing function. To execute this command the user must be the owner of the function. The argument types to the function must be specified, since several different functions may exist with the same name and different argument lists.

PARAMETERS

IF EXISTS
    Do not throw an error if the function does not exist. A notice is issued in this case.

name
    The name (optionally schema-qualified) of an existing function.

argmode
    The mode of an argument: either IN, OUT, or INOUT. If omitted, the default is IN. Note that DROP FUNCTION does not actually pay any attention to OUT arguments, since only the input arguments are needed to determine the function's identity. So it is sufficient to list the IN and INOUT arguments.

argname
    The name of an argument. Note that DROP FUNCTION does not actually pay any attention to argument names, since only the argument data types are needed to determine the function's identity.

argtype
    The data type(s) of the function's arguments (optionally schema-qualified), if any.

CASCADE
    Automatically drop objects that depend on the function (such as operators or triggers).

RESTRICT
    Refuse to drop the function if any objects depend on it. This is the default.

EXAMPLES

This command removes the square root function:

DROP FUNCTION sqrt(integer);

COMPATIBILITY

A DROP FUNCTION statement is defined in the SQL standard, but it is not compatible with this command.

SEE ALSO
CREATE FUNCTION [create_function(7)], ALTER FUNCTION [alter_function(l)]